function onfigpalmclosed(object, event)
%
% this handles the event when the palm figure is closed
% reset the internal handle holder to -1
	global handles;
	
	if(handles.palmfig == -1) 
		return;
	end
	
	delete(handles.palmfig);
	handles.palmfig = -1;
	
	stopcluster(0,0);

	set(handles.highres, 'enable', 'off');
	set(handles.lowres, 'enable', 'off');
	%set(handles.cluster, 'enable', 'off');
